Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed
Interface PeerFacade

All Superinterfaces:
  ServerFacade

All Known Subinterfaces:
  QueueFacade, TopicFacade

All Known Implementing Classes:
  PeerSupport, QueuePeer

public interface PeerFacade
extends ServerFacade

Exposes methods to be invoked remotely by queue peers.

Version:
  `$Revision: 1.2 $` $Id: PeerFacade.java,v 1.2 2005/11/22 00:52:14 ovidiu Exp $
Author:
  Ovidiu Feodorov

Method Summary
`void` | `exclude(PeerIdentity originator)` Method invocation received by all group peers when a peer wants to leave the group.
`RemotePeerInfo` | `include(RemotePeerInfo newPeerInfo)` Method invocation received by all group peers when a new peer wants to join the group.
`PeerIdentity` | `ping(PeerIdentity originator)`

Methods inherited from interface org.jboss.messaging.core.distributed.util.ServerFacade
`getID`

Method Detail

### include

    public RemotePeerInfo include(RemotePeerInfo newPeerInfo)
                           throws java.lang.Throwable

  Method invocation received by all group peers when a new peer wants to join the group.

  Returns:
    a RemotePeerInfo representing the current peer. The new peer may use this information to create a RemotePeer representation of this peer.
  Throws:
    `java.lang.Throwable` - - negative acknowledgment. The join is vetoed (willingly or unwillingly) by this member.

### exclude

    public void exclude(PeerIdentity originator)

  Method invocation received by all group peers when a peer wants to leave the group.

### ping

    public PeerIdentity ping(PeerIdentity originator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.